PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Attributes | List of all members
PTelnetSocket::OptionInfo Struct Reference

`#include <telnet.h>`

## Public Types
enum | { IsNo, IsYes, WantNo, WantNoQueued, WantYes, WantYesQueued }

## Public Attributes
unsigned | weCan:1
unsigned | ourState:3
unsigned | theyShould:1
unsigned | theirState:3

## Member Enumeration Documentation

anonymous enum

Enumerator
IsNo |
IsYes |
WantNo |
WantNoQueued |
WantYes |
WantYesQueued |

## Member Data Documentation

unsigned PTelnetSocket::OptionInfo::ourState

Referenced by PTelnetSocket::IsOurOption().

unsigned PTelnetSocket::OptionInfo::theirState

Referenced by PTelnetSocket::IsTheirOption().

unsigned PTelnetSocket::OptionInfo::theyShould

Referenced by PTelnetSocket::SetTheirOption().

unsigned PTelnetSocket::OptionInfo::weCan

Referenced by PTelnetSocket::SetOurOption().

The documentation for this struct was generated from the following file:

- telnet.h